curl --location --request POST 'https://api.userorbit.com/v1/public/feedback-comments.count' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
"feedbackId": "feedback-uuid"
}'
const response = await fetch('https://api.userorbit.com/v1/public/feedback-comments.count', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
feedbackId: 'feedback-uuid'
})
});
const { data } = await response.json();
console.log(`Comments: ${data.count}`);
import requests
response = requests.post(
'https://api.userorbit.com/v1/public/feedback-comments.count',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'feedbackId': 'feedback-uuid'
}
)
count = response.json()['data']['count']
print(f'Comments: {count}')
{
"data": {
"count": 12,
"feedbackId": "feedback-uuid"
}
}
Comments
Get Feedback Comment Count
Get the total number of comments on a feedback item.
POST
/
v1
/
public
/
feedback-comments.count
curl --location --request POST 'https://api.userorbit.com/v1/public/feedback-comments.count' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
"feedbackId": "feedback-uuid"
}'
const response = await fetch('https://api.userorbit.com/v1/public/feedback-comments.count', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
feedbackId: 'feedback-uuid'
})
});
const { data } = await response.json();
console.log(`Comments: ${data.count}`);
import requests
response = requests.post(
'https://api.userorbit.com/v1/public/feedback-comments.count',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'feedbackId': 'feedback-uuid'
}
)
count = response.json()['data']['count']
print(f'Comments: {count}')
{
"data": {
"count": 12,
"feedbackId": "feedback-uuid"
}
}
Authentication
Authorization: Bearer YOUR_API_KEY
Request Body
string
required
The feedback ID to get comment count for
Response
object
curl --location --request POST 'https://api.userorbit.com/v1/public/feedback-comments.count' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
"feedbackId": "feedback-uuid"
}'
const response = await fetch('https://api.userorbit.com/v1/public/feedback-comments.count', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
feedbackId: 'feedback-uuid'
})
});
const { data } = await response.json();
console.log(`Comments: ${data.count}`);
import requests
response = requests.post(
'https://api.userorbit.com/v1/public/feedback-comments.count',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'feedbackId': 'feedback-uuid'
}
)
count = response.json()['data']['count']
print(f'Comments: {count}')
{
"data": {
"count": 12,
"feedbackId": "feedback-uuid"
}
}
Use Cases
- Display Comment Count: Show number of comments on feedback items
- Engagement Metrics: Track discussion activity
- Quick Stats: Get count without loading all comments
Notes
- Includes all comments (public and private)
- Count updates in real-time as comments are added
- Does not require loading the full comment list
Was this page helpful?

